# generic_int_type< CharT > Struct Template Reference
[Miscellaneous constructs used by Vaucanson]

Generic and under-efficient int_type implementation for char_traits. More...

List of all members.

## Detailed Description

### template<class CharT>
struct vcsn::misc::generic_int_type< CharT >

Generic and under-efficient int_type implementation for char_traits.

This class provides a generic implementation of int_type inside char_traits. generic_int_type<T> should provide a type big enough to hold all values of T plus a value dedicated to EOF.

Definition at line 65 of file char_traits.hh.